CqServiceStatistics (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.query, interface: CqServiceStatistics

Package org.apache.geode.cache.query

# Interface CqServiceStatistics

public interface CqServiceStatistics
This class provides methods to get aggregate statistical information about the CQs of a client.

Since:
  GemFire 5.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `numCqsActive()`
  Get the number of CQs currently active.
  `long`
  `numCqsClosed()`
  Get the total number of closed CQs.
  `long`
  `numCqsCreated()`
  Get the total number of CQs created.
  `long`
  `numCqsOnClient()`
  Get number of CQs that are currently active or stopped.
  `long`
  `numCqsOnRegion(String regionFullPath)`
  Get number of CQs on the given region.
  `long`
  `numCqsStopped()`
  Get the number of stopped CQs currently.

- ## Method Details

  - ### numCqsActive

    long numCqsActive()
    Get the number of CQs currently active. Active CQs are those which are executing (in running state).
    Returns:
      long number of CQs

  - ### numCqsCreated

    long numCqsCreated()
    Get the total number of CQs created. This is a cumulative number.
    Returns:
      long number of CQs created.

  - ### numCqsClosed

    long numCqsClosed()
    Get the total number of closed CQs. This is a cumulative number.
    Returns:
      long number of CQs closed.

  - ### numCqsStopped

    long numCqsStopped()
    Get the number of stopped CQs currently.
    Returns:
      number of CQs stopped.

  - ### numCqsOnClient

    long numCqsOnClient()
    Get number of CQs that are currently active or stopped. The CQs included in this number are either running or stopped (suspended). Closed CQs are not included.
    Returns:
      long number of CQs on client.

  - ### numCqsOnRegion

    long numCqsOnRegion(String regionFullPath)
    Get number of CQs on the given region. Active CQs and stopped CQs on this region are included and closed CQs are not included.
    Parameters:
      `regionFullPath` - the full path of the region
    Returns:
      long number of CQs on the region.